rustc 1.39 and cargo 0.40 required by firefox 73

Bug #1856851 reported by Olivier Tilloy on 2019-12-18
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cargo (Ubuntu)
Undecided
Canonical Foundations Team
Xenial
Undecided
Canonical Foundations Team
Bionic
Undecided
Canonical Foundations Team
Eoan
Undecided
Canonical Foundations Team
rustc (Ubuntu)
Undecided
Canonical Foundations Team
Xenial
Undecided
Canonical Foundations Team
Bionic
Undecided
Canonical Foundations Team
Eoan
Undecided
Canonical Foundations Team

Bug Description

Firefox 73+ will require rustc 1.39 and cargo 0.40 to build¹.

The beta phase for Firefox 73.0 begins on 2020-01-02 and release candidates will be available from 2020-02-06.

We will need these in focal and all supported releases (xenial, bionic and eoan). No need to support disco as it will be EOL before firefox 73.0 is released.

¹ https://bugzilla.mozilla.org/show_bug.cgi?id=1594538

Olivier Tilloy (osomon) on 2019-12-18
Changed in cargo (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in rustc (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
no longer affects: rustc (Ubuntu Disco)
no longer affects: cargo (Ubuntu Disco)
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cargo (Ubuntu Bionic):
status: New → Confirmed
Changed in cargo (Ubuntu Eoan):
status: New → Confirmed
Changed in cargo (Ubuntu Xenial):
status: New → Confirmed
Changed in cargo (Ubuntu):
status: New → Confirmed
Changed in rustc (Ubuntu Bionic):
status: New → Confirmed
Changed in rustc (Ubuntu Eoan):
status: New → Confirmed
Changed in rustc (Ubuntu Xenial):
status: New → Confirmed
Changed in rustc (Ubuntu):
status: New → Confirmed
Michael Hudson-Doyle (mwhudson) wrote :

Is there somewhere to upload these versions to? rust-next is still behind rust-updates, so if I upload to rust-updates the version currently there will be lost (not that I'm sure I'm going to have packages to upload before I go on leave for four weeks; someone else might have to drive this).

Changed in cargo (Ubuntu):
status: Confirmed → In Progress
Changed in rustc (Ubuntu):
status: Confirmed → In Progress
Olivier Tilloy (osomon) wrote :

rust-next is still behind rust-updates because firefox never required rust 1.38, they bumped the required version from 1.37 in firefox 72 (current beta) to 1.39 in firefox 73 (current trunk). See https://hg.mozilla.org/integration/autoland/rev/1e9df8f9dbaa.

So I think it's fine to "loose" the versions currently in rust-updates, unless this is going to cause problems with bootstraping.

Ah OK that makes sense. I don't think it'll make bootstrapping any worse than it already is ;)

tags: added: id-5dfa8e7f508eec79d9746e39
Olivier Tilloy (osomon) wrote :

Is there progress on this? Firefox 73 is currently in beta phase, we need the rustc and cargo updates to produce test builds for it.

tags: added: rls-ff-incoming
Olivier Tilloy (osomon) on 2020-01-23
Changed in cargo (Ubuntu):
status: In Progress → Fix Released
Changed in rustc (Ubuntu):
status: In Progress → Fix Released
Olivier Tilloy (osomon) wrote :

cargo 0.40 is ready in https://launchpad.net/~ubuntu-mozilla-security/+archive/ubuntu/rust-updates/+packages, and rustc 1.39 will follow very soon

Changed in cargo (Ubuntu Xenial):
status: Confirmed → In Progress
Changed in cargo (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in cargo (Ubuntu Eoan):
status: Confirmed → In Progress
Changed in rustc (Ubuntu Xenial):
status: Confirmed → In Progress
Changed in rustc (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in rustc (Ubuntu Eoan):
status: Confirmed → In Progress
Changed in cargo (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in cargo (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in cargo (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in cargo (Ubuntu Xenial):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in cargo (Ubuntu Bionic):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in cargo (Ubuntu Eoan):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in rustc (Ubuntu Xenial):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in rustc (Ubuntu Bionic):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in rustc (Ubuntu Eoan):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Olivier Tilloy (osomon) wrote :
Changed in rustc (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in rustc (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in rustc (Ubuntu Eoan):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cargo - 0.40.0-3ubuntu1~19.10.1

---------------
cargo (0.40.0-3ubuntu1~19.10.1) eoan; urgency=medium

  * Backport to Eoan. (LP: #1856851)
  * Embed libgit2 0.28.3 to avoid a dependency on a version which is newer
    than that found in disco
    - add debian/libgit2
    - add debian/patches/libgit2-0.28-compat.patch
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/control
    - update debian/copyright
    - update debiab/patches/series
    - update debian/README.source
    - update debian/rules

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Jan 2020 13:11:50 +1300

Changed in cargo (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cargo - 0.40.0-3ubuntu1~18.04.1

---------------
cargo (0.40.0-3ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic. (LP: #1856851)
  * Embed libgit2 0.28.3 to avoid a dependency on a version which is newer
    than that found in disco
    - add debian/libgit2
    - add debian/patches/libgit2-0.28-compat.patch
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/control
    - update debian/copyright
    - update debiab/patches/series
    - update debian/README.source
    - update debian/rules

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Jan 2020 13:10:56 +1300

Changed in cargo (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.39.0+dfsg1+llvm-3ubuntu1~18.04.1

---------------
rustc (1.39.0+dfsg1+llvm-3ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic. (LP: #1856851)

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Jan 2020 22:59:29 +1300

Changed in rustc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.39.0+dfsg1+llvm-3ubuntu1~19.10.1

---------------
rustc (1.39.0+dfsg1+llvm-3ubuntu1~19.10.1) eoan; urgency=medium

  * Backport to Eoan. (LP: #1856851)

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Jan 2020 22:15:39 +1300

Changed in rustc (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.39.0+dfsg1+llvm-3ubuntu1~16.04.1

---------------
rustc (1.39.0+dfsg1+llvm-3ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to Xenial. (LP: #1856851)
  * Relax the gdb build requirement
    - update debian/control
  * Relax the dependency on xz-utils by commenting out some unused code
    - add debian/patches/d-relax-xz-utils-dependency.patch
    - update debian/patches/series
  * Disable multithreaded compressor in rust-installer
    - adds debian/patches/d-rust-installer-no-threaded-compressor.patch
    - updates debian/patches/series
  * Build with clang on armhf to avoid crashes in stage1 compiler
    - updates debian/control
    - updates debian/rules

 -- Michael Hudson-Doyle <email address hidden> Fri, 24 Jan 2020 07:58:36 +1300

Changed in rustc (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cargo - 0.40.0-3ubuntu1~16.04.1

---------------
cargo (0.40.0-3ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to Xenial. (LP: #1856851)
  * Embed libgit2 0.28.3 to avoid a dependency on a version which is newer
    than that found in disco
    - add debian/libgit2
    - add debian/patches/libgit2-0.28-compat.patch
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/control
    - update debian/copyright
    - update debiab/patches/series
    - update debian/README.source
    - update debian/rules
  * Drop ssh_key_from_memory from the git2 default features, as that results
    in the libgit2 build depending on a version of libssh2 that is too recent
    - add debian/patches/git2-no-ssh_key_from_memory.patch
    - update debian/patches/series
  * Do not use the http2 feature of the curl crate, and warn rather than fail
    on errors caused by a too-old curl.
    - add debian/patches/ignore-libcurl-errors.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Jan 2020 13:10:21 +1300

Changed in cargo (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers